Package org.eclipse.m2m.atl.drivers.emf4atl

## Class AtlEMFModelHandler

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.AtlModelHandler
  - - org.eclipse.m2m.atl.drivers.emf4atl.AtlEMFModelHandler

Direct Known Subclasses:
  `AtlUML2ModelHandler`

    public class AtlEMFModelHandler
    extends AtlModelHandler

The model handler dedicated to EMF.

### Field Summary

Fields
`static java.lang.String` `ID` The model handler extension id.

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.AtlModelHandler

`AMH_EMF`

### Constructor Summary

Constructors
`AtlEMFModelHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelLoader` `createModelLoader()`
`boolean` `isHandling​(ASMModel model)` Returns true if the model is handled by the current model handler.

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.AtlModelHandler

`getDefault, getHandler, getHandlerName, getModelHandlers, registerDefaultHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

The model handler extension id.

See Also:
  Constant Field Values

### Constructor Detail

#### AtlEMFModelHandler

    public AtlEMFModelHandler()

### Method Detail

#### isHandling

    public boolean isHandling​(ASMModel model)

Returns true if the model is handled by the current model handler.

Specified by:
  `isHandling` in class `AtlModelHandler`
Parameters:
  `model` - the model to test
Returns:
  true if the model is handled by the current model handler.
See Also:
  `AtlModelHandler.isHandling(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel)`

#### createModelLoader

    public ModelLoader createModelLoader()

Specified by:
  `createModelLoader` in class `AtlModelHandler`
Returns:
  A new ModelLoader instance corresponding to this kind of handler.
See Also:
  `AtlModelHandler.createModelLoader()`